//---------------------------------------------------------------------------
//
// Name:        Project3Dlg.h
// Author:      Look
// Created:     2008.06.06 22:07:37
// Description: Project3Dlg class declaration
//
//---------------------------------------------------------------------------

#ifndef __PROJECT3DLG_h__
#define __PROJECT3DLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/grid.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/panel.h>
////Header Include End

////Dialog Style Start
#undef Project3Dlg_STYLE
#define Project3Dlg_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxMAXIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class Project3Dlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		Project3Dlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Project3"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = Project3Dlg_STYLE);
		virtual ~Project3Dlg();
		void btnHelpClick(wxCommandEvent& event);
//		void btnTopClick(wxCommandEvent& event);
		void WxPanel1UpdateUI(wxUpdateUIEvent& event);
//		void pnlClientUpdateUI(wxUpdateUIEvent& event);
		void grdMainCellLeftDoubleClick(wxGridEvent& event);
		void grdMainCellLeftClick(wxGridEvent& event);
		void grdMainCellChange(wxGridEvent& event);
		void grdMainSelectCell(wxGridEvent& event);
		void btnNewClick(wxCommandEvent& event);

        void fromString(char *str,  wxString wstr, int how);
        
		void UpdateEdts(wxGridEvent& event);
    	int  FileOpen ( const char *, char *);
        void FileRead ();
        void FileWrite();
        void FileWriteTxt();
		void btnSaveClick(wxCommandEvent& event);
		void btnLoadClick(wxCommandEvent& event);
		void btnDeleteClick(wxCommandEvent& event);
		void btnSaveTxtClick(wxCommandEvent& event);
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxGrid *grdMain;
		wxPanel *pnlBottom;
		wxButton *btnDelete;
		wxStaticText *lblTelefonas;
		wxStaticText *lblVardas;
		wxStaticText *lblPavarde;
		wxTextCtrl *edtPavarde;
		wxTextCtrl *edtTelefonas;
		wxTextCtrl *edtVardas;
		wxButton *btnNew;
		wxPanel *pnlMain;
		wxButton *btnSaveTxt;
		wxButton *btnSave;
		wxButton *btnHelp;
		wxButton *btnLoad;
		wxPanel *pnlTop;
		wxPanel *pnlClient;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_GRDMAIN = 1023,
			ID_PNLBOTTOM = 1008,
			ID_BTNDELETE = 1030,
			ID_LBLTELEFONAS = 1029,
			ID_LBLVARDAS = 1028,
			ID_LBLPAVARDE = 1027,
			ID_EDTPAVARDE = 1026,
			ID_EDTTELEFONAS = 1025,
			ID_EDTVARDAS = 1024,
			ID_BTNNEW = 1022,
			ID_PNLMAIN = 1007,
			ID_BTNSAVETXT = 1031,
			ID_BTNSAVE = 1021,
			ID_BTNHELP = 1020,
			ID_BTNLOAD = 1019,
			ID_PNLTOP = 1006,
			ID_PNLCLIENT = 1005,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
